require 'sensei_eod_utils'

module SenseiApi
  class StatisticsBase
    class <<self
      def statistics(params)
        response = HTTParty.get(url, query: params.compact, format: :json)
        JSON.parse(response.body, object_class: OpenStruct)
      end
      
      def url
        raise NotImplementedError
      end

      def base_url
        @base_url ||= ENV['SENSEI_STATISTICS_API']
      end
    end
  end
end